Bug 76547 - typed german umlauts do not appear in the gnome-terminal
typed german umlauts do not appear in the gnome-terminal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-23 01:44 EDT by Joachim Backes
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 01:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
two PNGs illustrating "copy and paste" issue in gnome-term with pine session open (414.72 KB, application/octet-stream)
2002-10-29 13:21 EST, John Ha
no flags Details

  None (edit)
Description Joachim Backes 2002-10-23 01:44:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start a gnome-terminal
2. type some chars as v|d_

	

Actual Results:  chars do not appear in the gnome-terminal, no input is
generated from stdin

Expected Results:  chars are echoed and read from stdin

Additional info:

Input section in /etc/X11/XF86config:

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbLayout" "de"
        Option      "XkbVariant" "nodeadkeys"

Other chars are handeled normally.
Comment 1 John Ha 2002-10-29 13:17:25 EST
Myself and another associate has seen this error using pine with gnome-terminal,
but it is not limited to German umlauts. Asian characters also do not show up.
However, to make this case more confusing, when I am in the pine message index,
and there are non-rendered characters (such as umlauts or Asian characters) in
either the the sender or subject line, then the characters from the message just
above the non-rendered one appear to be "copied and pasted" into the
non-rendered line. A bit confusing to explain, so I am attaching a tarball of
two PNG files that illustrate my explanation :)

pine_gnome-term_wrong.png shows a message index where the characters seem to be
"copied and pasted" from the previous line into the line with the non-rendered
characters. pine_gnome-term_correct.png shows the results of opening the e-mail
and then returning to the message index.
Comment 2 John Ha 2002-10-29 13:21:28 EST
Created attachment 82584 [details]
two PNGs illustrating "copy and paste" issue in gnome-term with pine session open
Comment 3 Joachim Backes 2003-04-08 01:32:11 EDT
Problem disappeared in RedHat 9.0 when using Terminal->Character coding->UTF8.

Note You need to log in before you can comment on or make changes to this bug.